Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.charts.type
Enum AxisPositionEnum

    java.lang.Object
      java.lang.Enum<AxisPositionEnum>
          net.sf.jasperreports.charts.type.AxisPositionEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AxisPositionEnum>, JREnum

    public enum AxisPositionEnum

extends java.lang.Enum<AxisPositionEnum>
implements JREnum

Version:
  $Id: AxisPositionEnum.java 3582 2010-03-12 10:28:51Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Enum Constant Summary
`LEFT_OR_TOP` Position the axis to the left of a VERTICAL chart or on the top of a HORIZONTAL chart.
`RIGHT_OR_BOTTOM` Position the axis to the right of a VERTICAL chart or on the bottom of a HORIZONTAL chart.

Method Summary
`static AxisPositionEnum` | `getByName(java.lang.String name)`
`static AxisPositionEnum` | `getByValue(byte value)`
`static AxisPositionEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static AxisPositionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AxisPositionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT_OR_TOP

    public static final AxisPositionEnum LEFT_OR_TOP

  Position the axis to the left of a VERTICAL chart or on the top of a HORIZONTAL chart.

### RIGHT_OR_BOTTOM

    public static final AxisPositionEnum RIGHT_OR_BOTTOM

  Position the axis to the right of a VERTICAL chart or on the bottom of a HORIZONTAL chart.

Method Detail

### values

    public static AxisPositionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AxisPositionEnum c : AxisPositionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AxisPositionEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static AxisPositionEnum getByName(java.lang.String name)

### getByValue

    public static AxisPositionEnum getByValue(java.lang.Byte value)

### getByValue

    public static AxisPositionEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com